Subject: RE: GA Tron

From: "Robin Y. Millette" <[email-masked]>
Date: Thu, 23 Apr 1998 12:33:05 -0400

Hello Pablo,

-----Original Message-----
From:	Pablo Funes [SMTP:[email-masked]]
Sent:	jeudi, 23 avril 1998 10:31
To:	Robin Y. Millette
Subject:	Re: GA Tron

Wow! Yes, you're number eight, congratulations! You're probably the
cause for the recent fall in the performance of my robots :-)

Don't say it like that. I almost feel ashamed *hehe*

> When did this experiment start? Did someone you know play those 3000-4000 

6 months ago
Yes, "khith, beamer and otherbill have been fighting for the first
place for a while... I don't know who they are". The person I know
who's played most games is myself... i'm sixth :)

Only six months? That's pretty cool! I see you've managed to generate a lot 
of interest from many people! Keep it up :)

[snip]

> players? What are the low-level functions?
>

Low level functions?

What we do is not so complicated. We have 100 robots playing against
people. 10 of those are new. The system runs until all the new robots

[snip]

I mean, what do the genes code for? I'm sure reading the paper would answer 
many questions... But I don't understand what the genes actually "do" for 
the robots. Turn left, right, diagonale..?

> Hope you care to answer. I've seen you have a postscript file, but I 
can't
> view them. If you could make an HTML or even text version of your file, I 
> would appreciate being able to read it.

It should be easy for you to view the .pdf version. Use the acrobat
reader for this. Acrobat reader is available for all platforms.
Chances are you already have it!

Same thing for the Acrobat version: my computer simply halts whenever I try 
it. I reinstalled the program a few times, to no avail. I have plans to 
rebuild my entire OS, but I'm not sure when I'll get around to do it. A 
text or HTML version would really really be appreciated :)

By the way, there's a new version of our first results out there:
http://www.demo.cs.brandeis.edu/papers/long.html#tronsab98

Let me know when there's a text version available...

I have a few suggestions to make, that would help human players at least: 
could you make it impossible for a 180 degree turn in one keystroke? If I'm 
going left, make it impossible for me to go right. I'm asking, because at 
times I seem to lose control of the program, and if I turn up then right 
when heading left, sometimes the program skips the up key and I crash 
instantly, which is a bad thing.

My other suggestion would perhaps screw up some results you've trained your 
bots for: please put a boundary around the screen. This is giving an extra 
"egde" to the robots. Sometimes, if a player follows the edge of the screen 
really tightly, the human can't even see the line there, but I'm pretty 
sure the robot can see it...

And one last suggestion: make it possible to plug other robots to the game. 
I'm not familiar with Java, but since the program is actually running on my 
computer (the client computer), data throughput isn't a problem... If you 
would like some help with this feature, let me know!

CIAO!

'   '         '       '     '   '     '       '         '   '
Robin Y. Millette        http://www.generation.net/~millette/
Participez a l'Ordinateur le plus Vite au Monde!
Join the Fastest Computer on Earth!
http://www.distributed.net - team/equipe 844